@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca&family=Source+Sans+Pro&display=swap');

body {
    margin: 0;
    background-color: #00162a;
}

.app{
	width: 100%;
	height: 100vh;
	display: flex;
}

.input, .output {
    padding: 10px;
    width: calc(50% - 50px);
    height: calc(100% - 20px);
}

.button {
    width: 100px;
	margin: auto;
}

.code {
    height: 100%;
    border: 1px solid #18bc9c;
}

.header {
    height: 35px;
    display: flex;
    background: #18bc9c;
    flex-direction: row;
	font-family: 'Source Sans Pro', sans-serif;
}

.title {
    height: 35px;
    line-height: 33px;
    font-size: 22px;
    flex: 1;
    color: #00162a;
    font-weight: bold;
    padding-left: 10px;
}

.header i {
    width: 17px;
    font-size: 17px;
    line-height: 35px;
    margin-right: 15px;
    color: #00162a;
    cursor: pointer;
}

.editor{
	height: calc(100% - 35px);
}

.file{
	display: none;
}

.swal2-modal *{
	font-family: 'Source Sans Pro', sans-serif;
}

@media screen and (max-width:1000px){
	
	.app{
		display: block;
	}
	
	.input, .output {
		padding: 5px;
		width: calc(100% - 10px);
		height: calc(50% - 30px);
	}
	
	.button {
		height: 38px;
	}
}


.custom-btn {
    width: auto;
    height: 35px;
    color: #fff;
    border-radius: 5px;
    padding: 10px 25px;
    font-family: 'Lexend deca',sans-serif;
    font-weight: 500;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: inline-block;
    box-shadow: inset 2px 2px 2px 0px rgb(255 255 255 / 50%), 7px 7px 20px 0px rgb(0 0 0 / 10%), 4px 4px 5px 0px rgb(0 0 0 / 10%);
    outline: none;
    margin: 3px 0;
}

.btn-1 {
    border: none;
    background: rgb(36 90 249);
    background: linear-gradient(0deg, rgb(33 90 251) 0%, rgb(76 168 234) 100%);
    color: #fff;
    overflow: hidden;
}

.btn-1:hover {
    text-decoration: none;
    color: #fff;
}

.btn-1:before {
    position: absolute;
    content: '';
    display: inline-block;
    top: -180px;
    left: 0;
    width: 30px;
    height: 100%;
    background-color: #fff;
    animation: shiny-btn1 3s ease-in-out infinite;
}

.btn-1:hover{
	opacity: .7;
}

.btn-1:active{
	box-shadow:  4px 4px 6px 0 rgba(255,255,255,.3),-4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.2),
    inset 4px 4px 6px 0 rgba(0, 0, 0, .2);
}

@-webkit-keyframes shiny-btn1 {
	0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
	80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
	81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
	100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}

#loader{
	display: none;
}

.loaderBlur{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #202125;
	opacity: 0.5;
	z-index: 100;
	text-align: center;
}

.loaderSpinner{
	position: fixed;
	top: 50%;
	left: 50%;
	width: 50px;
	height: 50px;
	transform: translate(-50%, -50%) rotate(165deg);
	z-index: 999;
}

.loaderSpinner:before, .loaderSpinner:after{
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	display: block;
	width: 0.5em;
	height: 0.5em;
	border-radius: 0.25em;
	transform: translate(-50%, -50%);
}

.loaderSpinner:before {
	animation: LoaderBefore 2s infinite;
}

.loaderSpinner:after {
	animation: LoaderAfter 2s infinite;
}

@keyframes LoaderBefore{0%{width: 0.5em;box-shadow: 1em -0.5em rgba(225, 20, 98, 0.75), -1em 0.5em rgba(111, 202, 220, 0.75);}35%{width: 2.5em;box-shadow: 0 -0.5em rgba(225, 20, 98, 0.75), 0 0.5em rgba(111, 202, 220, 0.75);}70%{width: 0.5em;box-shadow: -1em -0.5em rgba(225, 20, 98, 0.75), 1em 0.5em rgba(111, 202, 220, 0.75);}100%{box-shadow: 1em -0.5em rgba(225, 20, 98, 0.75), -1em 0.5em rgba(111, 202, 220, 0.75);}}
@keyframes LoaderAfter{0%{height: 0.5em;box-shadow: 0.5em 1em rgba(61, 184, 143, 0.75), -0.5em -1em rgba(233, 169, 32, 0.75);}35%{height: 2.5em;box-shadow: 0.5em 0 rgba(61, 184, 143, 0.75), -0.5em 0 rgba(233, 169, 32, 0.75);}70%{height: 0.5em;box-shadow: 0.5em -1em rgba(61, 184, 143, 0.75), -0.5em 1em rgba(233, 169, 32, 0.75);}100%{box-shadow: 0.5em 1em rgba(61, 184, 143, 0.75), -0.5em -1em rgba(233, 169, 32, 0.75);}}